Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputFile

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputFile

Direct Known Subclasses:
  `TdApi.InputFileGenerated`, `TdApi.InputFileId`, `TdApi.InputFileLocal`, `TdApi.InputFileRemote`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputFile extends TdApi.Object permits TdApi.InputFileId, TdApi.InputFileRemote, TdApi.InputFileLocal, TdApi.InputFileGenerated
This class is an abstract base class. Points to a file.

## Constructor Summary

Constructors
Constructor
Description
`InputFile()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputFile

public InputFile()
Default class constructor.